#
# spec file for package xkill
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xkill
Version:        1.0.4
Release:        7.4
Summary:        Utility to kill a client by its X resource
License:	 X11
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:        xkill.desktop
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.22
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xkill is a utility for forcing the X server to close connections to
clients. This program is very dangerous, but is useful for aborting
programs that have displayed undesired windows on a user's screen.

%prep
%setup -q
cp %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -i -u xkill Utility DesktopUtility

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xkill
%{_datadir}/applications/xkill.desktop
%{_mandir}/man1/xkill.1%{?ext_man}

%changelog
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Explicitly cast tolower() return value to char before
    storing in a char.
  + Mark arguments to catch_window_errors as unused.
  + Use man page sections in See Also references to libX11 man
    pages.
  + Add -version option to print version.
  + Mark static string in verify_okay_to_kill as const.
  + Mark msg argument to get_window_id as const, since it's just
    printed out.
  + Use strtoul instead of open coding it with sscanf.
  + Mark Exit() and usage() as _X_NORETURN.
  + Get rid of dpy global so we don't get shadow warnings from
    every function.
  + Remove unused variable cpp.
  + config: move man pages into their own directory.
  + man:
  - Replace hard coded man page section with substitution
    strings.
  - Remove trailing spaces and tabs.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Fri Apr 13 2012 mgorse@suse.com
- Split xkill from xorg-x11. Initial version: 1.0.3.
